# Opal_G711_PCM Class Reference

`#include <g711codec.h>`

Inheritance diagram for Opal_G711_PCM:

[legend]
Collaboration diagram for Opal_G711_PCM:
[legend]

## Public Member Functions

| Opal_G711_PCM (const OpalMediaFormat &inputMediaFormat)
virtual PBoolean | Convert (const RTP_DataFrame &input, RTP_DataFrame &output)

## Protected Attributes

OpalG711_PLC | plc
PINDEX | lastPayloadSize

## Constructor & Destructor Documentation

Opal_G711_PCM::Opal_G711_PCM | ( | const OpalMediaFormat & | inputMediaFormat | ) |

## Member Function Documentation

virtual PBoolean Opal_G711_PCM::Convert | ( | const RTP_DataFrame & | input,
|  | RTP_DataFrame & | output |
| ) |  |  | `[virtual]`

Convert the data from one format to another. This function takes the input data as a RTP_DataFrame and converts it to its output format, placing it into the RTP_DataFrame provided.

Returns false if the conversion fails.

Parameters:

  input | Input data
  output | Output data

Reimplemented from OpalStreamedTranscoder.

## Field Documentation

PINDEX Opal_G711_PCM::lastPayloadSize `[protected]`

OpalG711_PLC Opal_G711_PCM::plc `[protected]`

The documentation for this class was generated from the following file:

- g711codec.h